summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-05-08 20:29:55 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-05-11 20:43:02 +0200
commit6b364719211ba9492f7c9d733efbe79b2e1ea039 (patch)
tree825a9831bd47cd824625699a0bed5eaecb489eaf
parentkde-apps/kwalletd: Drop 16.04.3 (r0) (diff)
downloadgentoo-6b364719211ba9492f7c9d733efbe79b2e1ea039.tar.gz
gentoo-6b364719211ba9492f7c9d733efbe79b2e1ea039.tar.bz2
gentoo-6b364719211ba9492f7c9d733efbe79b2e1ea039.zip
kde-frameworks/kwallet: Drop 5.29.0 (r0)
Package-Manager: Portage-2.3.5, Repoman-2.3.1
-rw-r--r--kde-frameworks/kwallet/kwallet-5.29.0.ebuild55
1 files changed, 0 insertions, 55 deletions
diff --git a/kde-frameworks/kwallet/kwallet-5.29.0.ebuild b/kde-frameworks/kwallet/kwallet-5.29.0.ebuild
deleted file mode 100644
index 35622ace86b..00000000000
--- a/kde-frameworks/kwallet/kwallet-5.29.0.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit kde5
-
-DESCRIPTION="Framework providing desktop-wide storage for passwords"
-LICENSE="LGPL-2+"
-KEYWORDS="amd64 ~arm x86"
-IUSE="gpg +man"
-
-RDEPEND="
- $(add_frameworks_dep kconfig)
- $(add_frameworks_dep kconfigwidgets)
- $(add_frameworks_dep kcoreaddons)
- $(add_frameworks_dep kdbusaddons)
- $(add_frameworks_dep ki18n)
- $(add_frameworks_dep kiconthemes)
- $(add_frameworks_dep knotifications)
- $(add_frameworks_dep kservice)
- $(add_frameworks_dep kwidgetsaddons)
- $(add_frameworks_dep kwindowsystem)
- $(add_qt_dep qtdbus)
- $(add_qt_dep qtgui)
- $(add_qt_dep qtwidgets)
- dev-libs/libgcrypt:0=
- gpg? (
- $(add_kdeapps_dep gpgmepp)
- app-crypt/gpgme
- )
-"
-DEPEND="${RDEPEND}
- man? ( $(add_frameworks_dep kdoctools) )
-"
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_DISABLE_FIND_PACKAGE_Gpgmepp=ON
- $(cmake-utils_use_find_package gpg Gpgme)
- $(cmake-utils_use_find_package gpg KF5Gpgmepp)
- $(cmake-utils_use_find_package man KF5DocTools)
- )
-
- kde5_src_configure
-}
-
-pkg_postinst() {
- if ! has_version "kde-plasma/kwallet-pam" || ! has_version "kde-apps/kwalletmanager:5" ; then
- elog
- elog "Install kde-plasma/kwallet-pam for auto-unlocking after account login."
- elog "Install kde-apps/kwalletmanager:5 to manage your kwallet."
- elog
- fi
-}